summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--system/tilda/tilda.SlackBuild20
-rw-r--r--system/tilda/tilda.info6
2 files changed, 13 insertions, 13 deletions
diff --git a/system/tilda/tilda.SlackBuild b/system/tilda/tilda.SlackBuild
index 466eb066ab..4430c49df4 100644
--- a/system/tilda/tilda.SlackBuild
+++ b/system/tilda/tilda.SlackBuild
@@ -25,7 +25,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=tilda
-VERSION=${VERSION:-1.2.4}
+VERSION=${VERSION:-1.3.1}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -37,6 +37,8 @@ if [ -z "$ARCH" ]; then
esac
fi
+set -e
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -55,10 +57,10 @@ fi
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-cd $TMP || exit 1
+cd $TMP
rm -rf $PRGNAM-$PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$PRGNAM-$VERSION.tar.gz || tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
-cd $PRGNAM-$PRGNAM-$VERSION || exit 1
+tar xvf $CWD/$PRGNAM-$PRGNAM-$VERSION.tar.gz || tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$PRGNAM-$VERSION
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
@@ -71,15 +73,13 @@ CFLAGS="$SLKCFLAGS" \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
- --localstatedir=/var \
- || exit 1
+ --localstatedir=/var
-make || exit 1
-make install-strip DESTDIR=$PKG || exit 1
+make
+make install-strip DESTDIR=$PKG
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README TODO \
- $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog *.md $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
diff --git a/system/tilda/tilda.info b/system/tilda/tilda.info
index a32da2a139..9c359b240d 100644
--- a/system/tilda/tilda.info
+++ b/system/tilda/tilda.info
@@ -1,8 +1,8 @@
PRGNAM="tilda"
-VERSION="1.2.4"
+VERSION="1.3.1"
HOMEPAGE="https://github.com/lanoxx/tilda"
-DOWNLOAD="https://github.com/lanoxx/tilda/archive/tilda-1.2.4.tar.gz"
-MD5SUM="e362dc14028f774de751edd3371ef471"
+DOWNLOAD="https://github.com/lanoxx/tilda/archive/tilda-1.3.1.tar.gz"
+MD5SUM="2e1e40e73ccd4f03b3595b8842bb0397"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES="confuse vte3"